#!/usr/local/bin/tsipp
#
# Scene with four mbrick objects.  -misc == ONE or TWO (for view).
#
# $Id: comp_mbrick.tcl,v 1.2 1996/05/26 20:19:25 markd Exp $
#

source ../utils.tcl
source mbrick_procs.tcl

ParseArgs
switch -- $misc {
    ONE {set view {-8.0 8.0 22.0}}
    TWO {set view {0.0 15.0 20.0}}
    default {Fatal "Invalid value for -misc \"$misc\""}
}

SippObjectAddSubobj WORLD [FourMBricks $final]

SippLightSourceCreate {15.0 15.0 15.0} {0.9 0.9 0.9} POINT
SippCameraParams STDCAMERA $view {0.0 0.0 0.0} {0.0 1.0 0.0} 0.4

set pbm [SippPBMOpen $output w]
SippRender $pbm $size $size $mode [expr $final ? 1 : 3]
SippPBMClose $pbm
