#!/usr/local/bin/tsipp
#
# Scene with four mbrick objects, spotlights and shadows.
#
# $Id: mbrick_shadows.tcl,v 1.2 1996/05/26 20:19:39 markd Exp $
#

source ../utils.tcl
source ../compound_objects/mbrick_procs.tcl

ParseArgs
 
SippObjectAddSubobj WORLD [FourMBricks $final]

SippSpotLightCreate {15.0 15.0 15.0} {0.5 3.0 6.0} D20 {0.9 0.9 0.9} \
    SOFT true
SippSpotLightCreate {-15.0 15.0 15.0} {0.0 0.0 0.0} D60 {0.4 0.4 0.4} \
    SHARP true

SippShadows true [expr $size*2]

SippCameraParams STDCAMERA {-8.0 8.0 22.0} {0.0 0.0 0.0} {0.0 1.0 0.0} 0.4

set pbm [SippPBMOpen $output w]
SippRender $pbm $size $size $mode [expr $final ? 3 : 1]
SippPBMClose $pbm
