#!/usr/local/bin/tsipp
#
# Prism object.  -misc is the length
#
# $Id: prism.tcl,v 1.4 1996/11/08 18:11:48 markd Exp $
#

source ../utils.tcl

ParseArgs

if [lempty $misc] {
    Fatal "-misc should contain the length"
}

set shader [SippShaderBasic 0.4 0.6 0.2 {0.0 0.0 1.0}]

set pnts {{-0.5 0.0} {-1.0 0.5} {1.0 1.0} {-1.0 2.0} {-2.0 0.5}}
set obj [SippPrism $pnts $misc $shader]

SippObjectAddSubobj WORLD $obj

SippLightSourceCreate {-15.0 15.0 15.0} {0.5 0.5 0.5} POINT
SippLightSourceCreate { 15.0 -15.0 15.0} {0.2 0.2 0.2} POINT
StdRender {-10.0 10.0 10.0} {-0.5 0.5 0.0}

