#!/usr/local/bin/tsipp
#
# Generate the simple elipsoid images.
#
# $Id: simple_ellip.tcl,v 1.4 1996/11/08 18:11:53 markd Exp $
#

source ../utils.tcl

ParseArgs

set shader [SippShaderBasic 0.5 0.6 0.2 {0.6 0.3 0.5}]

set ellip [SippEllipsoid {2.0 3.0 2.0} 32 $shader]
SippObjectAddSubobj WORLD $ellip

StdLights
StdRender {0.0 0.0 10.0} {0.0 0.0 0.0} 0.4
